Skip to content
Last updated

Group Accounts

Register Account

Only Available for ShipStation Partner Accounts, see link below.

Creates a new ShipStation account and generates an apiKey and apiSecret to be used by the newly created account.

Info

This endpoint does not require API key and API Secret credentials. The Authorization header can be left off. Use of this specific endpoint requires approval, and is meant only for direct partners of ShipStation.

To become a direct partner with ShipStation, or to request more information on becoming a direct partner, we recommend that you contact our Partners and Integrations team.

The body of this request has the following attributes:

NameData TypeDescription
firstNamestringFirst Name

Required
lastNamestringLast Name

Required
emailstringEmail address. This will also be the username of the account.

Required
passwordstringPassword to set for account access.

Required
companyNamestringName of Company.

Optional
addr1stringCompany Address - Street 1

Optional
addr2stringCompany Address - Street 2

Optional
citystringCompany Address - City

Optional
statestringCompany Address - State

Optional
zipstringCompany Address - Zip Code

Optional
countryCodestringCompany Address - Country. Please use a two-letter ISO Origin Country code.

Optional
phonestringCompany Phone number.

Optional

Example Request

POST /accounts/registeraccount HTTP/1.1
Host: ssapi.shipstation.com
Content-Type: application/json

{
  "firstName": "John",
  "lastName": "Smith",
  "email": "jsmithtest@gmail.com",
  "password": "testpw1234",
  "shippingOriginCountryCode": "US",
  "companyName": "Droid Repair LLC",
  "addr1": "542 Midichlorian Rd.",
  "addr2": "",
  "city": "Austin",
  "state": "TX",
  "zip": "78703",
  "countryCode": "US",
  "phone": "5124111234"
}

Example Response

{
  "message": "ShipStation account created.",
  "sellerId": 123456,
  "success": true,
  "apiKey": "abcdt9845hjmgfklj3498gkljdkuyekl",
  "apiSecret": "1234iou983lkj8mnxgfwu509hkhdy7u3"
}